Upload a part of the file

The method allows you to upload part of the file. The request must be sent to the file service host. The full link indicating the session_token is returned when the session is opened.

Not sure what your drive name is?

Read a short article to find out.

What is asession_token?

You create an upload session and get a response:

{
  "max_file_size": 314572800,
  "max_part_size": 131072,
  "session_id": 106687453,
  "upload_url": "https://drive-c.kommo.com/upload/eyJhbGciOiJIU...w6E6F5DCU0"
}

eyJhbGciOiJIU...w6E6F5DCU0 is your session_token.

Limitations

The method is available to integrations that have scope set to Access to files.

Data type header when the request is successful/ in case of an error
Content-Type: application/json

Response parameters (NOT the final part of the file)

Parameter Data type Description
session_id int Session ID
next_url string URL that should be used to upload the next part of the file

Response parameters (the final part of the file)

Parameter Data type Description
uuid string UUID of a file version
type string File version type. Possible parameters– image, video, audio, document, file
name string File version name
sanitized_name string File version name in ASCII encoding
size int File version size in bytes
source_id int|null ID of the source the file version came from
has_multiple_versions bool Tells if the file has multiple versions
created_at int Unix Timestamp file version creation time
created_by object ID of a user added the file version
created_by[id] int ID of the user who added the file version
created_by[type] string Type of user who added the file version
updated_at int Time when the file version was last updated (Unix Timestamp)
updated_by object ID of the user who updated the file version
deleted_at int Time when the file version was deleted (Unix Timestamp)
deleletd_by object ID of the user who deleted the file version
metadata object|null File metadata
metadata[extension] string File extention
metadata[mime_type] string File MIME-type
previews array|null Array of previews for the file
previews[0] object File preview
previews[0][download_link] string URL to download preview
previews[0][width] int Preview width
previews[0][height] int Preview height
Path Params
string
required

It is a part of upload_url that comes after "https://drive.kommo.com/upload/" that you get when you create an upload session

Body Params
file
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json